# $Cambridge: hermes/src/cyrus-imapd/DPC_CMU_INFO/cyrus-hermes.conf,v 1.1 2003/09/07 15:54:57 dpc22 Exp $
#
# Sample /etc/cyrus-hermes.conf file from one of our live systems
#
# standard standalone server implementation

START {
  # do not delete this entry!
  recover	cmd="ctl_cyrusdb -r"

  # this is only necessary if using idled for IMAP IDLE
  idled		cmd="idled"
}

# UNIX sockets start with a slash and are put into /var/imap/socket
SERVICES {
  # add or remove based on preferences
  imap		cmd="imapd" listen="imap" prefork=5 provide_uuid=1
  pop3		cmd="pop3d" listen="pop3" prefork=5
  sieve		cmd="timsieved" listen="sieve" prefork=5

  # at least one LMTP is required for delivery
  lmtp		cmd="lmtpd -a" listen="lmtp" prefork=5 provide_uuid=1

  # this is only necessary if using notifications
#  notify	cmd="notifyd" listen="/var/imap/socket/notify" proto="udp" prefork=1
  fud		cmd="fud" listen="fud" prefork=5 proto=udp
}

EVENTS {
  # this is required
  checkpoint	cmd="ctl_cyrusdb -c" period=30

  # this is only necessary if using duplicate delivery suppression
  delprune	cmd="ctl_deliver -E 3" period=1440

  # this is only necessary if caching TLS sessions
  #tlsprune	cmd="tls_prune" period=1440
}
